Skip to main content

Get floor plan by ID

GEThttps://api.propexo.com/v1/floor-plans/:floor_plan_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

floor_plan_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the floor plan

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: bc7e840c-502b-4426-91e1-af9a4eb5cb2c
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    namestringrequired

    The name associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 2 bed 2 bath
    marketing_namenullrequired

    The marketing name of the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    codenullrequired

    The code associated with the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    descriptionstring | nullnullablerequired

    Description of the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 2 bed 2 bath
    bedroomsinteger | nullnullablerequired

    The number of bedrooms associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0

    Possible values: >= 0

    Example: 2
    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 2.5
    bathrooms_fullinteger | nullnullablerequired

    The number of full bathrooms associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0

    Possible values: >= 0

    Example: 2
    bathrooms_halfinteger | nullnullablerequired

    The number of half bathrooms associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0

    Possible values: >= 0

    Example: 1
    max_occupantsnullrequired

    The maximum number of occupants for the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    rentable_square_feetinteger | nullnullablerequired

    The rentable square footage of the floor plan

    Important

    This field is based on the average square footage. If you'd like the minimum or the maximum, please contact Propexo support for custom_data.

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0

    Possible values: >= 0

    Example: 1300
    gross_square_feetnullrequired

    The gross square footage of the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    rent_minimum_in_centsnumber | nullnullablerequired

    The minimum rent of the floor plan

    Important

    This field is based on the market rent. If you'd like the effective rent, please contact Propexo support for custom_data.

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 280000
    rent_maximum_in_centsnumber | nullnullablerequired

    The maximum rent of the floor plan

    Important

    This field is based on the market rent. If you'd like the effective rent, please contact Propexo support for custom_data.

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 320000
    image_urlsstring[]required

    A list of image urls associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: ["https://resman.blob.core.windows.net/bizbaz/foobar.jpg"]
    unit_countinteger | nullnullablerequired

    The number of units associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0

    Possible values: >= 0

    Example: 100
    deposit_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 10000
    deposit_amount_rawstring | nullnullablerequired

    The raw deposit amount associated with the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 100.00
    deposit_amount_min_in_centsnullrequired

    The minimum deposit amount in cents associated with the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    deposit_amount_max_in_centsnullrequired

    The maximum deposit amount in cents associated with the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    deposit_amount_min_rawnullrequired

    The raw minimum deposit amount associated with the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    deposit_amount_max_rawnullrequired

    The raw maximum deposit amount associated with the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    custom_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/floor-plans/:floor_plan_id
curl https://api.propexo.com/v1/floor-plans/:floor_plan_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
"x_property_id": "bc7e840c-502b-4426-91e1-af9a4eb5cb2c",
"x_location_id": null,
"name": "2 bed 2 bath",
"marketing_name": null,
"code": null,
"description": "2 bed 2 bath",
"bedrooms": 2,
"bathrooms": "2.5",
"bathrooms_full": 2,
"bathrooms_half": 1,
"max_occupants": null,
"rentable_square_feet": 1300,
"gross_square_feet": null,
"rent_minimum_in_cents": 280000,
"rent_maximum_in_cents": 320000,
"image_urls": [
"https://resman.blob.core.windows.net/bizbaz/foobar.jpg"
],
"unit_count": 100,
"deposit_amount_in_cents": 10000,
"deposit_amount_raw": "100.00",
"deposit_amount_min_in_cents": null,
"deposit_amount_max_in_cents": null,
"deposit_amount_min_raw": null,
"deposit_amount_max_raw": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}